import {
  BANNER_POSITION_FIND,
  BANNER_POSITION_PERSONAL_PENSION,
  BANNER_POSITION_MAIN,
  BANNER_POSITION_CONSUME,
  BANNER_POSITION_WEALTHABOUT
} from '@/const';

/**
 * banner位置
 * @param scene 场景
 * @returns 位置信息
 */
export const filterBannerPosition = (scene: string) => {
  switch (scene) {
    case BANNER_POSITION_FIND:
      return '发现页';
    case BANNER_POSITION_PERSONAL_PENSION:
      return '个人养老金首页';
    case BANNER_POSITION_MAIN:
      return '个人首页';
    case BANNER_POSITION_CONSUME:
      return '消费健康比一比';
    case BANNER_POSITION_WEALTHABOUT:
      return '财务健康测一测';
    default:
      return '未知';
      break;
  }
};
